Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface QueryPackage.Literals

Enclosing interface:
  QueryPackage

    public static interface QueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ADHOC_QUERY_REQUEST_TYPE` The meta object literal for the '`Adhoc Query Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY` The meta object literal for the 'Filter Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION` The meta object literal for the 'Response Option' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY` The meta object literal for the 'SQL Query' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ADHOC_QUERY_RESPONSE_TYPE` The meta object literal for the '`Adhoc Query Response Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT` The meta object literal for the 'Filter Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT` The meta object literal for the 'SQL Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_BRANCH_TYPE` The meta object literal for the '`Association Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER` The meta object literal for the 'Association Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY` The meta object literal for the 'Association Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY` The meta object literal for the 'Auditable Event Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY` The meta object literal for the 'Classification Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER` The meta object literal for the 'External Identifier Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER` The meta object literal for the 'External Link Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY` The meta object literal for the 'Extrinsic Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY` The meta object literal for the 'Organization Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY` The meta object literal for the 'Registry Package Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH` The meta object literal for the 'Service Binding Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY` The meta object literal for the 'Service Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH` The meta object literal for the 'Specification Link Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_BRANCH_TYPE__USER_BRANCH` The meta object literal for the 'User Branch' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_QUERY_RESULT_TYPE` The meta object literal for the '`Association Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION` The meta object literal for the 'Association' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_QUERY_TYPE` The meta object literal for the '`Association Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER` The meta object literal for the 'Association Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE` The meta object literal for the '`Auditable Event Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT` The meta object literal for the 'Auditable Event' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `AUDITABLE_EVENT_QUERY_TYPE` The meta object literal for the '`Auditable Event Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER` The meta object literal for the 'Auditable Event Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH` The meta object literal for the 'User Branch' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `BOOLEAN_CLAUSE_TYPE` The meta object literal for the '`Boolean Clause Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE` The meta object literal for the 'Boolean Predicate' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE` The meta object literal for the '`Classification Node Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_NODE_QUERY_TYPE` The meta object literal for the '`Classification Node Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH` The meta object literal for the 'Classification Node Children Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER` The meta object literal for the 'Classification Node Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH` The meta object literal for the 'Classification Node Parent Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_QUERY_RESULT_TYPE` The meta object literal for the '`Classification Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION` The meta object literal for the 'Classification' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_QUERY_TYPE` The meta object literal for the '`Classification Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER` The meta object literal for the 'Classification Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE` The meta object literal for the '`Classification Scheme Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME` The meta object literal for the 'Classification Scheme' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_SCHEME_QUERY_TYPE` The meta object literal for the '`Classification Scheme Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER` The meta object literal for the 'Classification Scheme Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFIED_BY_BRANCH_TYPE` The meta object literal for the '`Classified By Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER` The meta object literal for the 'Classification Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `CLAUSE_TYPE` The meta object literal for the '`Clause Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLAUSE_TYPE__COMPOUND_CLAUSE` The meta object literal for the 'Compound Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `CLAUSE_TYPE__SIMPLE_CLAUSE` The meta object literal for the 'Simple Clause' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `COMPOUND_CLAUSE_TYPE` The meta object literal for the '`Compound Clause Type`' class.
`static org.eclipse.emf.ecore.EReference` | `COMPOUND_CLAUSE_TYPE__CLAUSE` The meta object literal for the 'Clause' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE` The meta object literal for the 'Connective Predicate' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `CONNECTIVE_PREDICATE_TYPE` The meta object literal for the '`Connective Predicate Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `CONNECTIVE_PREDICATE_TYPE_OBJECT` The meta object literal for the 'Connective Predicate Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADHOC_QUERY_REQUEST` The meta object literal for the 'Adhoc Query Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE` The meta object literal for the 'Adhoc Query Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ASSOCIATION_FILTER` The meta object literal for the 'Association Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ASSOCIATION_QUERY` The meta object literal for the 'Association Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT` The meta object literal for the 'Association Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER` The meta object literal for the 'Auditable Event Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY` The meta object literal for the 'Auditable Event Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT` The meta object literal for the 'Auditable Event Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__BOOLEAN_CLAUSE` The meta object literal for the 'Boolean Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_FILTER` The meta object literal for the 'Classification Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH` The meta object literal for the 'Classification Node Children Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER` The meta object literal for the 'Classification Node Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH` The meta object literal for the 'Classification Node Parent Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT` The meta object literal for the 'Classification Node Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY` The meta object literal for the 'Classification Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT` The meta object literal for the 'Classification Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER` The meta object literal for the 'Classification Scheme Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT` The meta object literal for the 'Classification Scheme Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH` The meta object literal for the 'Classified By Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLAUSE` The meta object literal for the 'Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__COMPOUND_CLAUSE` The meta object literal for the 'Compound Clause' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__DATE_TIME_CLAUSE` The meta object literal for the 'Date Time Clause' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DESCRIPTION_BRANCH` The meta object literal for the 'Description Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER` The meta object literal for the 'Email Address Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER` The meta object literal for the 'External Identifier Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_LINK_FILTER` The meta object literal for the 'External Link Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER` The meta object literal for the 'Extrinsic Object Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY` The meta object literal for the 'Extrinsic Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT` The meta object literal for the 'Extrinsic Object Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FILTER_QUERY` The meta object literal for the 'Filter Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FILTER_QUERY_RESULT` The meta object literal for the 'Filter Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__FLOAT_CLAUSE` The meta object literal for the 'Float Clause' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__GET_CONTENT_REQUEST` The meta object literal for the 'Get Content Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__GET_CONTENT_RESPONSE` The meta object literal for the 'Get Content Response' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__INT_CLAUSE` The meta object literal for the 'Int Clause' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__LOCALIZED_STRING_FILTER` The meta object literal for the 'Localized String Filter' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__NAME_BRANCH` The meta object literal for the 'Name Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH` The meta object literal for the 'Organization Children Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_FILTER` The meta object literal for the 'Organization Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH` The meta object literal for the 'Organization Parent Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_QUERY` The meta object literal for the 'Organization Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT` The meta object literal for the 'Organization Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER` The meta object literal for the 'Postal Address Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__RATIONAL_CLAUSE` The meta object literal for the 'Rational Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER` The meta object literal for the 'Registry Entry Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT` The meta object literal for the 'Registry Entry Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER` The meta object literal for the 'Registry Object Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT` The meta object literal for the 'Registry Object Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER` The meta object literal for the 'Registry Package Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY` The meta object literal for the 'Registry Package Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT` The meta object literal for the 'Registry Package Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__RESPONSE_OPTION` The meta object literal for the 'Response Option' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_BINDING_BRANCH` The meta object literal for the 'Service Binding Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_BINDING_FILTER` The meta object literal for the 'Service Binding Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH` The meta object literal for the 'Service Binding Target Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_FILTER` The meta object literal for the 'Service Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_QUERY` The meta object literal for the 'Service Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_QUERY_RESULT` The meta object literal for the 'Service Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SIMPLE_CLAUSE` The meta object literal for the 'Simple Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SLOT_BRANCH` The meta object literal for the 'Slot Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SLOT_FILTER` The meta object literal for the 'Slot Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SLOT_VALUE_FILTER` The meta object literal for the 'Slot Value Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH` The meta object literal for the 'Source Association Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH` The meta object literal for the 'Specification Link Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER` The meta object literal for the 'Specification Link Filter' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__SQL_QUERY` The meta object literal for the 'Sql Query' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SQL_QUERY_RESULT` The meta object literal for the 'Sql Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__STRING_CLAUSE` The meta object literal for the 'String Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH` The meta object literal for the 'Target Association Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER` The meta object literal for the 'Telephone Number Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__USER_BRANCH` The meta object literal for the 'User Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__USER_FILTER` The meta object literal for the 'User Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE` The meta object literal for the '`Extrinsic Object Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT` The meta object literal for the 'Extrinsic Object' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `EXTRINSIC_OBJECT_QUERY_TYPE` The meta object literal for the '`Extrinsic Object Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER` The meta object literal for the 'Extrinsic Object Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `FILTER_QUERY_RESULT_TYPE` The meta object literal for the '`Filter Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT` The meta object literal for the 'Association Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT` The meta object literal for the 'Auditable Event Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT` The meta object literal for the 'Classification Node Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT` The meta object literal for the 'Classification Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT` The meta object literal for the 'Classification Scheme Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT` The meta object literal for the 'Extrinsic Object Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT` The meta object literal for the 'Organization Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT` The meta object literal for the 'Registry Entry Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT` The meta object literal for the 'Registry Object Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT` The meta object literal for the 'Registry Package Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT` The meta object literal for the 'Service Query Result' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `FILTER_QUERY_TYPE` The meta object literal for the '`Filter Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__ASSOCIATION_QUERY` The meta object literal for the 'Association Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The meta object literal for the 'Auditable Event Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY` The meta object literal for the 'Classification Node Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__CLASSIFICATION_QUERY` The meta object literal for the 'Classification Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY` The meta object literal for the 'Classification Scheme Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY` The meta object literal for the 'Extrinsic Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__ORGANIZATION_QUERY` The meta object literal for the 'Organization Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY` The meta object literal for the 'Registry Package Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `FILTER_QUERY_TYPE__SERVICE_QUERY` The meta object literal for the 'Service Query' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `FILTER_TYPE` The meta object literal for the '`Filter Type`' class.
`static org.eclipse.emf.ecore.EReference` | `FILTER_TYPE__CLAUSE` The meta object literal for the 'Clause' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `GET_CONTENT_REQUEST_TYPE` The meta object literal for the '`Get Content Request Type`' class.
`static org.eclipse.emf.ecore.EReference` | `GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `GET_CONTENT_RESPONSE_TYPE` The meta object literal for the '`Get Content Response Type`' class.
`static org.eclipse.emf.ecore.EClass` | `INTERNATIONAL_STRING_BRANCH_TYPE` The meta object literal for the '`International String Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER` The meta object literal for the 'Localized String Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EEnum` | `LOGICAL_PREDICATE_TYPE` The meta object literal for the '`Logical Predicate Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `LOGICAL_PREDICATE_TYPE_OBJECT` The meta object literal for the 'Logical Predicate Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `ORGANIZATION_QUERY_RESULT_TYPE` The meta object literal for the '`Organization Query Result Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ORGANIZATION_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION` The meta object literal for the 'Organization' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ORGANIZATION_QUERY_TYPE` The meta object literal for the '`Organization Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH` The meta object literal for the 'Organization Children Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER` The meta object literal for the 'Organization Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH` The meta object literal for the 'Organization Parent Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER` The meta object literal for the 'Postal Address Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER` The meta object literal for the 'Telephone Number Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_QUERY_TYPE__USER_BRANCH` The meta object literal for the 'User Branch' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `RATIONAL_CLAUSE_TYPE` The meta object literal for the '`Rational Clause Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE` The meta object literal for the 'Date Time Clause' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE` The meta object literal for the 'Float Clause' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `RATIONAL_CLAUSE_TYPE__INT_CLAUSE` The meta object literal for the 'Int Clause' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE` The meta object literal for the 'Logical Predicate' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE` The meta object literal for the '`Registry Entry Query Result Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME` The meta object literal for the 'Classification Scheme' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT` The meta object literal for the 'Extrinsic Object' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE` The meta object literal for the 'Registry Package' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE` The meta object literal for the 'Service' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ENTRY_QUERY_TYPE` The meta object literal for the '`Registry Entry Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER` The meta object literal for the 'Registry Entry Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_OBJECT_QUERY_TYPE` The meta object literal for the '`Registry Object Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY` The meta object literal for the 'Auditable Event Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH` The meta object literal for the 'Classified By Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH` The meta object literal for the 'Description Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER` The meta object literal for the 'External Identifier Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH` The meta object literal for the 'Name Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER` The meta object literal for the 'Registry Object Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH` The meta object literal for the 'Slot Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH` The meta object literal for the 'Source Association Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH` The meta object literal for the 'Target Association Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE` The meta object literal for the '`Registry Package Query Result Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE` The meta object literal for the 'Registry Package' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_PACKAGE_QUERY_TYPE` The meta object literal for the '`Registry Package Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER` The meta object literal for the 'Registry Package Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `RESPONSE_OPTION_TYPE` The meta object literal for the '`Response Option Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS` The meta object literal for the 'Return Composed Objects' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `RESPONSE_OPTION_TYPE__RETURN_TYPE` The meta object literal for the 'Return Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `RETURN_TYPE_TYPE` The meta object literal for the '`Return Type Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `RETURN_TYPE_TYPE_OBJECT` The meta object literal for the 'Return Type Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_BINDING_BRANCH_TYPE` The meta object literal for the '`Service Binding Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER` The meta object literal for the 'Service Binding Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH` The meta object literal for the 'Service Binding Target Branch' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH` The meta object literal for the 'Specification Link Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_QUERY_RESULT_TYPE` The meta object literal for the '`Service Query Result Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_QUERY_RESULT_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_RESULT_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_RESULT_TYPE__SERVICE` The meta object literal for the 'Service' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_QUERY_TYPE` The meta object literal for the '`Service Query Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH` The meta object literal for the 'Service Binding Branch' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_QUERY_TYPE__SERVICE_FILTER` The meta object literal for the 'Service Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_CLAUSE_TYPE` The meta object literal for the '`Simple Clause Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE` The meta object literal for the 'Boolean Clause' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT` The meta object literal for the 'Left Argument' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE` The meta object literal for the 'Rational Clause' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SIMPLE_CLAUSE_TYPE__STRING_CLAUSE` The meta object literal for the 'String Clause' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SLOT_BRANCH_TYPE` The meta object literal for the '`Slot Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SLOT_BRANCH_TYPE__SLOT_FILTER` The meta object literal for the 'Slot Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER` The meta object literal for the 'Slot Value Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `SPECIFICATION_LINK_BRANCH_TYPE` The meta object literal for the '`Specification Link Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY` The meta object literal for the 'Registry Entry Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY` The meta object literal for the 'Registry Object Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER` The meta object literal for the 'Specification Link Filter' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `STRING_CLAUSE_TYPE` The meta object literal for the '`String Clause Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `STRING_CLAUSE_TYPE__STRING_PREDICATE` The meta object literal for the 'String Predicate' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `STRING_CLAUSE_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `STRING_PREDICATE_TYPE` The meta object literal for the '`String Predicate Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `STRING_PREDICATE_TYPE_OBJECT` The meta object literal for the 'String Predicate Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `USER_BRANCH_TYPE` The meta object literal for the '`User Branch Type`' class.
`static org.eclipse.emf.ecore.EReference` | `USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER` The meta object literal for the 'Email Address Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `USER_BRANCH_TYPE__ORGANIZATION_QUERY` The meta object literal for the 'Organization Query' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER` The meta object literal for the 'Postal Address Filter' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER` The meta object literal for the 'Telephone Number Filter' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `USER_BRANCH_TYPE__USER_FILTER` The meta object literal for the 'User Filter' containment reference feature.

Field Detail

### ADHOC_QUERY_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass ADHOC_QUERY_REQUEST_TYPE

  The meta object literal for the '`Adhoc Query Request Type`' class.

  See Also:
    `AdhocQueryRequestTypeImpl`, `QueryPackageImpl.getAdhocQueryRequestType()`

### ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION

  The meta object literal for the 'Response Option' containment reference feature.

### ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_REQUEST_TYPE__FILTER_QUERY

  The meta object literal for the 'Filter Query' containment reference feature.

### ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY

    static final org.eclipse.emf.ecore.EAttribute ADHOC_QUERY_REQUEST_TYPE__SQL_QUERY

  The meta object literal for the 'SQL Query' attribute feature.

### ADHOC_QUERY_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass ADHOC_QUERY_RESPONSE_TYPE

  The meta object literal for the '`Adhoc Query Response Type`' class.

  See Also:
    `AdhocQueryResponseTypeImpl`, `QueryPackageImpl.getAdhocQueryResponseType()`

### ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_RESPONSE_TYPE__FILTER_QUERY_RESULT

  The meta object literal for the 'Filter Query Result' containment reference feature.

### ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference ADHOC_QUERY_RESPONSE_TYPE__SQL_QUERY_RESULT

  The meta object literal for the 'SQL Query Result' containment reference feature.

### ASSOCIATION_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_BRANCH_TYPE

  The meta object literal for the '`Association Branch Type`' class.

  See Also:
    `AssociationBranchTypeImpl`, `QueryPackageImpl.getAssociationBranchType()`

### ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__ASSOCIATION_FILTER

  The meta object literal for the 'Association Filter' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__EXTERNAL_LINK_FILTER

  The meta object literal for the 'External Link Filter' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The meta object literal for the 'External Identifier Filter' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__ASSOCIATION_QUERY

  The meta object literal for the 'Association Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_QUERY

  The meta object literal for the 'Classification Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__ORGANIZATION_QUERY

  The meta object literal for the 'Organization Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__AUDITABLE_EVENT_QUERY

  The meta object literal for the 'Auditable Event Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__REGISTRY_PACKAGE_QUERY

  The meta object literal for the 'Registry Package Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__EXTRINSIC_OBJECT_QUERY

  The meta object literal for the 'Extrinsic Object Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__SERVICE_QUERY

  The meta object literal for the 'Service Query' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__USER_BRANCH

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__USER_BRANCH

  The meta object literal for the 'User Branch' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__SERVICE_BINDING_BRANCH

  The meta object literal for the 'Service Binding Branch' containment reference feature.

### ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

  The meta object literal for the 'Specification Link Branch' containment reference feature.

### ASSOCIATION_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_QUERY_RESULT_TYPE

  The meta object literal for the '`Association Query Result Type`' class.

  See Also:
    `AssociationQueryResultTypeImpl`, `QueryPackageImpl.getAssociationQueryResultType()`

### ASSOCIATION_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_RESULT_TYPE__ASSOCIATION

  The meta object literal for the 'Association' containment reference list feature.

### ASSOCIATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_QUERY_TYPE

  The meta object literal for the '`Association Query Type`' class.

  See Also:
    `AssociationQueryTypeImpl`, `QueryPackageImpl.getAssociationQueryType()`

### ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER

    static final org.eclipse.emf.ecore.EReference ASSOCIATION_QUERY_TYPE__ASSOCIATION_FILTER

  The meta object literal for the 'Association Filter' containment reference feature.

### AUDITABLE_EVENT_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass AUDITABLE_EVENT_QUERY_RESULT_TYPE

  The meta object literal for the '`Auditable Event Query Result Type`' class.

  See Also:
    `AuditableEventQueryResultTypeImpl`, `QueryPackageImpl.getAuditableEventQueryResultType()`

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute AUDITABLE_EVENT_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_RESULT_TYPE__AUDITABLE_EVENT

  The meta object literal for the 'Auditable Event' containment reference list feature.

### AUDITABLE_EVENT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass AUDITABLE_EVENT_QUERY_TYPE

  The meta object literal for the '`Auditable Event Query Type`' class.

  See Also:
    `AuditableEventQueryTypeImpl`, `QueryPackageImpl.getAuditableEventQueryType()`

### AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__AUDITABLE_EVENT_FILTER

  The meta object literal for the 'Auditable Event Filter' containment reference feature.

### AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH

    static final org.eclipse.emf.ecore.EReference AUDITABLE_EVENT_QUERY_TYPE__USER_BRANCH

  The meta object literal for the 'User Branch' containment reference feature.

### BOOLEAN_CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass BOOLEAN_CLAUSE_TYPE

  The meta object literal for the '`Boolean Clause Type`' class.

  See Also:
    `BooleanClauseTypeImpl`, `QueryPackageImpl.getBooleanClauseType()`

### BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE

    static final org.eclipse.emf.ecore.EAttribute BOOLEAN_CLAUSE_TYPE__BOOLEAN_PREDICATE

  The meta object literal for the 'Boolean Predicate' attribute feature.

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_NODE_QUERY_RESULT_TYPE

  The meta object literal for the '`Classification Node Query Result Type`' class.

  See Also:
    `ClassificationNodeQueryResultTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryResultType()`

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_NODE_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_RESULT_TYPE__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' containment reference list feature.

### CLASSIFICATION_NODE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_NODE_QUERY_TYPE

  The meta object literal for the '`Classification Node Query Type`' class.

  See Also:
    `ClassificationNodeQueryTypeImpl`, `QueryPackageImpl.getClassificationNodeQueryType()`

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_FILTER

  The meta object literal for the 'Classification Node Filter' containment reference feature.

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_PARENT_BRANCH

  The meta object literal for the 'Classification Node Parent Branch' containment reference feature.

### CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_NODE_CHILDREN_BRANCH

  The meta object literal for the 'Classification Node Children Branch' containment reference list feature.

### CLASSIFICATION_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_QUERY_RESULT_TYPE

  The meta object literal for the '`Classification Query Result Type`' class.

  See Also:
    `ClassificationQueryResultTypeImpl`, `QueryPackageImpl.getClassificationQueryResultType()`

### CLASSIFICATION_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_RESULT_TYPE__CLASSIFICATION

  The meta object literal for the 'Classification' containment reference list feature.

### CLASSIFICATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_QUERY_TYPE

  The meta object literal for the '`Classification Query Type`' class.

  See Also:
    `ClassificationQueryTypeImpl`, `QueryPackageImpl.getClassificationQueryType()`

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_FILTER

  The meta object literal for the 'Classification Filter' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE

  The meta object literal for the '`Classification Scheme Query Result Type`' class.

  See Also:
    `ClassificationSchemeQueryResultTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryResultType()`

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

  The meta object literal for the 'Classification Scheme' containment reference list feature.

### CLASSIFICATION_SCHEME_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_SCHEME_QUERY_TYPE

  The meta object literal for the '`Classification Scheme Query Type`' class.

  See Also:
    `ClassificationSchemeQueryTypeImpl`, `QueryPackageImpl.getClassificationSchemeQueryType()`

### CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_SCHEME_FILTER

  The meta object literal for the 'Classification Scheme Filter' containment reference feature.

### CLASSIFIED_BY_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFIED_BY_BRANCH_TYPE

  The meta object literal for the '`Classified By Branch Type`' class.

  See Also:
    `ClassifiedByBranchTypeImpl`, `QueryPackageImpl.getClassifiedByBranchType()`

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER

    static final org.eclipse.emf.ecore.EReference CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_FILTER

  The meta object literal for the 'Classification Filter' containment reference feature.

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference CLASSIFIED_BY_BRANCH_TYPE__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass CLAUSE_TYPE

  The meta object literal for the '`Clause Type`' class.

  See Also:
    `ClauseTypeImpl`, `QueryPackageImpl.getClauseType()`

### CLAUSE_TYPE__SIMPLE_CLAUSE

    static final org.eclipse.emf.ecore.EReference CLAUSE_TYPE__SIMPLE_CLAUSE

  The meta object literal for the 'Simple Clause' containment reference feature.

### CLAUSE_TYPE__COMPOUND_CLAUSE

    static final org.eclipse.emf.ecore.EReference CLAUSE_TYPE__COMPOUND_CLAUSE

  The meta object literal for the 'Compound Clause' containment reference feature.

### COMPOUND_CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass COMPOUND_CLAUSE_TYPE

  The meta object literal for the '`Compound Clause Type`' class.

  See Also:
    `CompoundClauseTypeImpl`, `QueryPackageImpl.getCompoundClauseType()`

### COMPOUND_CLAUSE_TYPE__CLAUSE

    static final org.eclipse.emf.ecore.EReference COMPOUND_CLAUSE_TYPE__CLAUSE

  The meta object literal for the 'Clause' containment reference list feature.

### COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE

    static final org.eclipse.emf.ecore.EAttribute COMPOUND_CLAUSE_TYPE__CONNECTIVE_PREDICATE

  The meta object literal for the 'Connective Predicate' attribute feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `QueryPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADHOC_QUERY_REQUEST

  The meta object literal for the 'Adhoc Query Request' containment reference feature.

### DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE

  The meta object literal for the 'Adhoc Query Response' containment reference feature.

### DOCUMENT_ROOT__ASSOCIATION_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ASSOCIATION_FILTER

  The meta object literal for the 'Association Filter' containment reference feature.

### DOCUMENT_ROOT__ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ASSOCIATION_QUERY

  The meta object literal for the 'Association Query' containment reference feature.

### DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ASSOCIATION_QUERY_RESULT

  The meta object literal for the 'Association Query Result' containment reference feature.

### DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__AUDITABLE_EVENT_FILTER

  The meta object literal for the 'Auditable Event Filter' containment reference feature.

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY

  The meta object literal for the 'Auditable Event Query' containment reference feature.

### DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY_RESULT

  The meta object literal for the 'Auditable Event Query Result' containment reference feature.

### DOCUMENT_ROOT__BOOLEAN_CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__BOOLEAN_CLAUSE

  The meta object literal for the 'Boolean Clause' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_FILTER

  The meta object literal for the 'Classification Filter' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_CHILDREN_BRANCH

  The meta object literal for the 'Classification Node Children Branch' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_FILTER

  The meta object literal for the 'Classification Node Filter' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_PARENT_BRANCH

  The meta object literal for the 'Classification Node Parent Branch' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY_RESULT

  The meta object literal for the 'Classification Node Query Result' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_QUERY

  The meta object literal for the 'Classification Query' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_QUERY_RESULT

  The meta object literal for the 'Classification Query Result' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_SCHEME_FILTER

  The meta object literal for the 'Classification Scheme Filter' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY_RESULT

  The meta object literal for the 'Classification Scheme Query Result' containment reference feature.

### DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFIED_BY_BRANCH

  The meta object literal for the 'Classified By Branch' containment reference feature.

### DOCUMENT_ROOT__CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLAUSE

  The meta object literal for the 'Clause' containment reference feature.

### DOCUMENT_ROOT__COMPOUND_CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__COMPOUND_CLAUSE

  The meta object literal for the 'Compound Clause' containment reference feature.

### DOCUMENT_ROOT__DATE_TIME_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__DATE_TIME_CLAUSE

  The meta object literal for the 'Date Time Clause' attribute feature.

### DOCUMENT_ROOT__DESCRIPTION_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DESCRIPTION_BRANCH

  The meta object literal for the 'Description Branch' containment reference feature.

### DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EMAIL_ADDRESS_FILTER

  The meta object literal for the 'Email Address Filter' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_FILTER

  The meta object literal for the 'External Identifier Filter' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_LINK_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_LINK_FILTER

  The meta object literal for the 'External Link Filter' containment reference feature.

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTRINSIC_OBJECT_FILTER

  The meta object literal for the 'Extrinsic Object Filter' containment reference feature.

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY

  The meta object literal for the 'Extrinsic Object Query' containment reference feature.

### DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY_RESULT

  The meta object literal for the 'Extrinsic Object Query Result' containment reference feature.

### DOCUMENT_ROOT__FILTER_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FILTER_QUERY

  The meta object literal for the 'Filter Query' containment reference feature.

### DOCUMENT_ROOT__FILTER_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FILTER_QUERY_RESULT

  The meta object literal for the 'Filter Query Result' containment reference feature.

### DOCUMENT_ROOT__FLOAT_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__FLOAT_CLAUSE

  The meta object literal for the 'Float Clause' attribute feature.

### DOCUMENT_ROOT__GET_CONTENT_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__GET_CONTENT_REQUEST

  The meta object literal for the 'Get Content Request' containment reference feature.

### DOCUMENT_ROOT__GET_CONTENT_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__GET_CONTENT_RESPONSE

  The meta object literal for the 'Get Content Response' containment reference feature.

### DOCUMENT_ROOT__INT_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__INT_CLAUSE

  The meta object literal for the 'Int Clause' attribute feature.

### DOCUMENT_ROOT__LOCALIZED_STRING_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__LOCALIZED_STRING_FILTER

  The meta object literal for the 'Localized String Filter' containment reference feature.

### DOCUMENT_ROOT__NAME_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__NAME_BRANCH

  The meta object literal for the 'Name Branch' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_CHILDREN_BRANCH

  The meta object literal for the 'Organization Children Branch' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_FILTER

  The meta object literal for the 'Organization Filter' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_PARENT_BRANCH

  The meta object literal for the 'Organization Parent Branch' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_QUERY

  The meta object literal for the 'Organization Query' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION_QUERY_RESULT

  The meta object literal for the 'Organization Query Result' containment reference feature.

### DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__POSTAL_ADDRESS_FILTER

  The meta object literal for the 'Postal Address Filter' containment reference feature.

### DOCUMENT_ROOT__RATIONAL_CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__RATIONAL_CLAUSE

  The meta object literal for the 'Rational Clause' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ENTRY_FILTER

  The meta object literal for the 'Registry Entry Filter' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ENTRY_QUERY_RESULT

  The meta object literal for the 'Registry Entry Query Result' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT_FILTER

  The meta object literal for the 'Registry Object Filter' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY_RESULT

  The meta object literal for the 'Registry Object Query Result' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PACKAGE_FILTER

  The meta object literal for the 'Registry Package Filter' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY

  The meta object literal for the 'Registry Package Query' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY_RESULT

  The meta object literal for the 'Registry Package Query Result' containment reference feature.

### DOCUMENT_ROOT__RESPONSE_OPTION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__RESPONSE_OPTION

  The meta object literal for the 'Response Option' containment reference feature.

### DOCUMENT_ROOT__SERVICE_BINDING_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_BINDING_BRANCH

  The meta object literal for the 'Service Binding Branch' containment reference feature.

### DOCUMENT_ROOT__SERVICE_BINDING_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_BINDING_FILTER

  The meta object literal for the 'Service Binding Filter' containment reference feature.

### DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_BINDING_TARGET_BRANCH

  The meta object literal for the 'Service Binding Target Branch' containment reference feature.

### DOCUMENT_ROOT__SERVICE_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_FILTER

  The meta object literal for the 'Service Filter' containment reference feature.

### DOCUMENT_ROOT__SERVICE_QUERY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_QUERY

  The meta object literal for the 'Service Query' containment reference feature.

### DOCUMENT_ROOT__SERVICE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_QUERY_RESULT

  The meta object literal for the 'Service Query Result' containment reference feature.

### DOCUMENT_ROOT__SIMPLE_CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SIMPLE_CLAUSE

  The meta object literal for the 'Simple Clause' containment reference feature.

### DOCUMENT_ROOT__SLOT_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SLOT_BRANCH

  The meta object literal for the 'Slot Branch' containment reference feature.

### DOCUMENT_ROOT__SLOT_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SLOT_FILTER

  The meta object literal for the 'Slot Filter' containment reference feature.

### DOCUMENT_ROOT__SLOT_VALUE_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SLOT_VALUE_FILTER

  The meta object literal for the 'Slot Value Filter' containment reference feature.

### DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SOURCE_ASSOCIATION_BRANCH

  The meta object literal for the 'Source Association Branch' containment reference feature.

### DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SPECIFICATION_LINK_BRANCH

  The meta object literal for the 'Specification Link Branch' containment reference feature.

### DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SPECIFICATION_LINK_FILTER

  The meta object literal for the 'Specification Link Filter' containment reference feature.

### DOCUMENT_ROOT__SQL_QUERY

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__SQL_QUERY

  The meta object literal for the 'Sql Query' attribute feature.

### DOCUMENT_ROOT__SQL_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SQL_QUERY_RESULT

  The meta object literal for the 'Sql Query Result' containment reference feature.

### DOCUMENT_ROOT__STRING_CLAUSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__STRING_CLAUSE

  The meta object literal for the 'String Clause' containment reference feature.

### DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__TARGET_ASSOCIATION_BRANCH

  The meta object literal for the 'Target Association Branch' containment reference feature.

### DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__TELEPHONE_NUMBER_FILTER

  The meta object literal for the 'Telephone Number Filter' containment reference feature.

### DOCUMENT_ROOT__USER_BRANCH

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__USER_BRANCH

  The meta object literal for the 'User Branch' containment reference feature.

### DOCUMENT_ROOT__USER_FILTER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__USER_FILTER

  The meta object literal for the 'User Filter' containment reference feature.

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass EXTRINSIC_OBJECT_QUERY_RESULT_TYPE

  The meta object literal for the '`Extrinsic Object Query Result Type`' class.

  See Also:
    `ExtrinsicObjectQueryResultTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryResultType()`

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

  The meta object literal for the 'Extrinsic Object' containment reference list feature.

### EXTRINSIC_OBJECT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass EXTRINSIC_OBJECT_QUERY_TYPE

  The meta object literal for the '`Extrinsic Object Query Type`' class.

  See Also:
    `ExtrinsicObjectQueryTypeImpl`, `QueryPackageImpl.getExtrinsicObjectQueryType()`

### EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER

    static final org.eclipse.emf.ecore.EReference EXTRINSIC_OBJECT_QUERY_TYPE__EXTRINSIC_OBJECT_FILTER

  The meta object literal for the 'Extrinsic Object Filter' containment reference feature.

### FILTER_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_QUERY_RESULT_TYPE

  The meta object literal for the '`Filter Query Result Type`' class.

  See Also:
    `FilterQueryResultTypeImpl`, `QueryPackageImpl.getFilterQueryResultType()`

### FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__REGISTRY_OBJECT_QUERY_RESULT

  The meta object literal for the 'Registry Object Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__REGISTRY_ENTRY_QUERY_RESULT

  The meta object literal for the 'Registry Entry Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__ASSOCIATION_QUERY_RESULT

  The meta object literal for the 'Association Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__AUDITABLE_EVENT_QUERY_RESULT

  The meta object literal for the 'Auditable Event Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_QUERY_RESULT

  The meta object literal for the 'Classification Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_NODE_QUERY_RESULT

  The meta object literal for the 'Classification Node Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME_QUERY_RESULT

  The meta object literal for the 'Classification Scheme Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__REGISTRY_PACKAGE_QUERY_RESULT

  The meta object literal for the 'Registry Package Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT_QUERY_RESULT

  The meta object literal for the 'Extrinsic Object Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__ORGANIZATION_QUERY_RESULT

  The meta object literal for the 'Organization Query Result' containment reference feature.

### FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_RESULT_TYPE__SERVICE_QUERY_RESULT

  The meta object literal for the 'Service Query Result' containment reference feature.

### FILTER_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_QUERY_TYPE

  The meta object literal for the '`Filter Query Type`' class.

  See Also:
    `FilterQueryTypeImpl`, `QueryPackageImpl.getFilterQueryType()`

### FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### FILTER_QUERY_TYPE__ASSOCIATION_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__ASSOCIATION_QUERY

  The meta object literal for the 'Association Query' containment reference feature.

### FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The meta object literal for the 'Auditable Event Query' containment reference feature.

### FILTER_QUERY_TYPE__CLASSIFICATION_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__CLASSIFICATION_QUERY

  The meta object literal for the 'Classification Query' containment reference feature.

### FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__CLASSIFICATION_NODE_QUERY

  The meta object literal for the 'Classification Node Query' containment reference feature.

### FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY

  The meta object literal for the 'Classification Scheme Query' containment reference feature.

### FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__REGISTRY_PACKAGE_QUERY

  The meta object literal for the 'Registry Package Query' containment reference feature.

### FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__EXTRINSIC_OBJECT_QUERY

  The meta object literal for the 'Extrinsic Object Query' containment reference feature.

### FILTER_QUERY_TYPE__ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__ORGANIZATION_QUERY

  The meta object literal for the 'Organization Query' containment reference feature.

### FILTER_QUERY_TYPE__SERVICE_QUERY

    static final org.eclipse.emf.ecore.EReference FILTER_QUERY_TYPE__SERVICE_QUERY

  The meta object literal for the 'Service Query' containment reference feature.

### FILTER_TYPE

    static final org.eclipse.emf.ecore.EClass FILTER_TYPE

  The meta object literal for the '`Filter Type`' class.

  See Also:
    `FilterTypeImpl`, `QueryPackageImpl.getFilterType()`

### FILTER_TYPE__CLAUSE

    static final org.eclipse.emf.ecore.EReference FILTER_TYPE__CLAUSE

  The meta object literal for the 'Clause' containment reference feature.

### GET_CONTENT_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass GET_CONTENT_REQUEST_TYPE

  The meta object literal for the '`Get Content Request Type`' class.

  See Also:
    `GetContentRequestTypeImpl`, `QueryPackageImpl.getGetContentRequestType()`

### GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference GET_CONTENT_REQUEST_TYPE__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### GET_CONTENT_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass GET_CONTENT_RESPONSE_TYPE

  The meta object literal for the '`Get Content Response Type`' class.

  See Also:
    `GetContentResponseTypeImpl`, `QueryPackageImpl.getGetContentResponseType()`

### INTERNATIONAL_STRING_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass INTERNATIONAL_STRING_BRANCH_TYPE

  The meta object literal for the '`International String Branch Type`' class.

  See Also:
    `InternationalStringBranchTypeImpl`, `QueryPackageImpl.getInternationalStringBranchType()`

### INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

    static final org.eclipse.emf.ecore.EReference INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER

  The meta object literal for the 'Localized String Filter' containment reference list feature.

### ORGANIZATION_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass ORGANIZATION_QUERY_RESULT_TYPE

  The meta object literal for the '`Organization Query Result Type`' class.

  See Also:
    `OrganizationQueryResultTypeImpl`, `QueryPackageImpl.getOrganizationQueryResultType()`

### ORGANIZATION_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute ORGANIZATION_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_RESULT_TYPE__ORGANIZATION

  The meta object literal for the 'Organization' containment reference list feature.

### ORGANIZATION_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass ORGANIZATION_QUERY_TYPE

  The meta object literal for the '`Organization Query Type`' class.

  See Also:
    `OrganizationQueryTypeImpl`, `QueryPackageImpl.getOrganizationQueryType()`

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__ORGANIZATION_FILTER

  The meta object literal for the 'Organization Filter' containment reference feature.

### ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__POSTAL_ADDRESS_FILTER

  The meta object literal for the 'Postal Address Filter' containment reference feature.

### ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER

  The meta object literal for the 'Telephone Number Filter' containment reference list feature.

### ORGANIZATION_QUERY_TYPE__USER_BRANCH

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__USER_BRANCH

  The meta object literal for the 'User Branch' containment reference feature.

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__ORGANIZATION_PARENT_BRANCH

  The meta object literal for the 'Organization Parent Branch' containment reference feature.

### ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_QUERY_TYPE__ORGANIZATION_CHILDREN_BRANCH

  The meta object literal for the 'Organization Children Branch' containment reference list feature.

### RATIONAL_CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass RATIONAL_CLAUSE_TYPE

  The meta object literal for the '`Rational Clause Type`' class.

  See Also:
    `RationalClauseTypeImpl`, `QueryPackageImpl.getRationalClauseType()`

### RATIONAL_CLAUSE_TYPE__INT_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute RATIONAL_CLAUSE_TYPE__INT_CLAUSE

  The meta object literal for the 'Int Clause' attribute feature.

### RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute RATIONAL_CLAUSE_TYPE__FLOAT_CLAUSE

  The meta object literal for the 'Float Clause' attribute feature.

### RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE

    static final org.eclipse.emf.ecore.EAttribute RATIONAL_CLAUSE_TYPE__DATE_TIME_CLAUSE

  The meta object literal for the 'Date Time Clause' attribute feature.

### RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE

    static final org.eclipse.emf.ecore.EAttribute RATIONAL_CLAUSE_TYPE__LOGICAL_PREDICATE

  The meta object literal for the 'Logical Predicate' attribute feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ENTRY_QUERY_RESULT_TYPE

  The meta object literal for the '`Registry Entry Query Result Type`' class.

  See Also:
    `RegistryEntryQueryResultTypeImpl`, `QueryPackageImpl.getRegistryEntryQueryResultType()`

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__CLASSIFICATION_SCHEME

  The meta object literal for the 'Classification Scheme' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__EXTRINSIC_OBJECT

  The meta object literal for the 'Extrinsic Object' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

  The meta object literal for the 'Registry Package' containment reference list feature.

### REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_RESULT_TYPE__SERVICE

  The meta object literal for the 'Service' containment reference list feature.

### REGISTRY_ENTRY_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ENTRY_QUERY_TYPE

  The meta object literal for the '`Registry Entry Query Type`' class.

  See Also:
    `RegistryEntryQueryTypeImpl`, `QueryPackageImpl.getRegistryEntryQueryType()`

### REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER

    static final org.eclipse.emf.ecore.EReference REGISTRY_ENTRY_QUERY_TYPE__REGISTRY_ENTRY_FILTER

  The meta object literal for the 'Registry Entry Filter' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_OBJECT_QUERY_TYPE

  The meta object literal for the '`Registry Object Query Type`' class.

  See Also:
    `RegistryObjectQueryTypeImpl`, `QueryPackageImpl.getRegistryObjectQueryType()`

### REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__REGISTRY_OBJECT_FILTER

  The meta object literal for the 'Registry Object Filter' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_FILTER

  The meta object literal for the 'External Identifier Filter' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__AUDITABLE_EVENT_QUERY

  The meta object literal for the 'Auditable Event Query' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH

  The meta object literal for the 'Name Branch' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH

  The meta object literal for the 'Description Branch' containment reference feature.

### REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__CLASSIFIED_BY_BRANCH

  The meta object literal for the 'Classified By Branch' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH

  The meta object literal for the 'Slot Branch' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_BRANCH

  The meta object literal for the 'Source Association Branch' containment reference list feature.

### REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_BRANCH

  The meta object literal for the 'Target Association Branch' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_PACKAGE_QUERY_RESULT_TYPE

  The meta object literal for the '`Registry Package Query Result Type`' class.

  See Also:
    `RegistryPackageQueryResultTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryResultType()`

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_PACKAGE_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_RESULT_TYPE__REGISTRY_PACKAGE

  The meta object literal for the 'Registry Package' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_PACKAGE_QUERY_TYPE

  The meta object literal for the '`Registry Package Query Type`' class.

  See Also:
    `RegistryPackageQueryTypeImpl`, `QueryPackageImpl.getRegistryPackageQueryType()`

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_PACKAGE_FILTER

  The meta object literal for the 'Registry Package Filter' containment reference feature.

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference list feature.

### REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference list feature.

### RESPONSE_OPTION_TYPE

    static final org.eclipse.emf.ecore.EClass RESPONSE_OPTION_TYPE

  The meta object literal for the '`Response Option Type`' class.

  See Also:
    `ResponseOptionTypeImpl`, `QueryPackageImpl.getResponseOptionType()`

### RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

    static final org.eclipse.emf.ecore.EAttribute RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS

  The meta object literal for the 'Return Composed Objects' attribute feature.

### RESPONSE_OPTION_TYPE__RETURN_TYPE

    static final org.eclipse.emf.ecore.EAttribute RESPONSE_OPTION_TYPE__RETURN_TYPE

  The meta object literal for the 'Return Type' attribute feature.

### SERVICE_BINDING_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_BINDING_BRANCH_TYPE

  The meta object literal for the '`Service Binding Branch Type`' class.

  See Also:
    `ServiceBindingBranchTypeImpl`, `QueryPackageImpl.getServiceBindingBranchType()`

### SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_FILTER

  The meta object literal for the 'Service Binding Filter' containment reference feature.

### SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_BRANCH_TYPE__SPECIFICATION_LINK_BRANCH

  The meta object literal for the 'Specification Link Branch' containment reference list feature.

### SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_BRANCH_TYPE__SERVICE_BINDING_TARGET_BRANCH

  The meta object literal for the 'Service Binding Target Branch' containment reference feature.

### SERVICE_QUERY_RESULT_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_QUERY_RESULT_TYPE

  The meta object literal for the '`Service Query Result Type`' class.

  See Also:
    `ServiceQueryResultTypeImpl`, `QueryPackageImpl.getServiceQueryResultType()`

### SERVICE_QUERY_RESULT_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute SERVICE_QUERY_RESULT_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### SERVICE_QUERY_RESULT_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_RESULT_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_RESULT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_RESULT_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### SERVICE_QUERY_RESULT_TYPE__SERVICE

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_RESULT_TYPE__SERVICE

  The meta object literal for the 'Service' containment reference list feature.

### SERVICE_QUERY_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_QUERY_TYPE

  The meta object literal for the '`Service Query Type`' class.

  See Also:
    `ServiceQueryTypeImpl`, `QueryPackageImpl.getServiceQueryType()`

### SERVICE_QUERY_TYPE__SERVICE_FILTER

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_TYPE__SERVICE_FILTER

  The meta object literal for the 'Service Filter' containment reference feature.

### SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH

    static final org.eclipse.emf.ecore.EReference SERVICE_QUERY_TYPE__SERVICE_BINDING_BRANCH

  The meta object literal for the 'Service Binding Branch' containment reference list feature.

### SIMPLE_CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass SIMPLE_CLAUSE_TYPE

  The meta object literal for the '`Simple Clause Type`' class.

  See Also:
    `SimpleClauseTypeImpl`, `QueryPackageImpl.getSimpleClauseType()`

### SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE

    static final org.eclipse.emf.ecore.EReference SIMPLE_CLAUSE_TYPE__BOOLEAN_CLAUSE

  The meta object literal for the 'Boolean Clause' containment reference feature.

### SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE

    static final org.eclipse.emf.ecore.EReference SIMPLE_CLAUSE_TYPE__RATIONAL_CLAUSE

  The meta object literal for the 'Rational Clause' containment reference feature.

### SIMPLE_CLAUSE_TYPE__STRING_CLAUSE

    static final org.eclipse.emf.ecore.EReference SIMPLE_CLAUSE_TYPE__STRING_CLAUSE

  The meta object literal for the 'String Clause' containment reference feature.

### SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT

    static final org.eclipse.emf.ecore.EAttribute SIMPLE_CLAUSE_TYPE__LEFT_ARGUMENT

  The meta object literal for the 'Left Argument' attribute feature.

### SLOT_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass SLOT_BRANCH_TYPE

  The meta object literal for the '`Slot Branch Type`' class.

  See Also:
    `SlotBranchTypeImpl`, `QueryPackageImpl.getSlotBranchType()`

### SLOT_BRANCH_TYPE__SLOT_FILTER

    static final org.eclipse.emf.ecore.EReference SLOT_BRANCH_TYPE__SLOT_FILTER

  The meta object literal for the 'Slot Filter' containment reference feature.

### SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER

    static final org.eclipse.emf.ecore.EReference SLOT_BRANCH_TYPE__SLOT_VALUE_FILTER

  The meta object literal for the 'Slot Value Filter' containment reference list feature.

### SPECIFICATION_LINK_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass SPECIFICATION_LINK_BRANCH_TYPE

  The meta object literal for the '`Specification Link Branch Type`' class.

  See Also:
    `SpecificationLinkBranchTypeImpl`, `QueryPackageImpl.getSpecificationLinkBranchType()`

### SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_BRANCH_TYPE__SPECIFICATION_LINK_FILTER

  The meta object literal for the 'Specification Link Filter' containment reference feature.

### SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_OBJECT_QUERY

  The meta object literal for the 'Registry Object Query' containment reference feature.

### SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_BRANCH_TYPE__REGISTRY_ENTRY_QUERY

  The meta object literal for the 'Registry Entry Query' containment reference feature.

### STRING_CLAUSE_TYPE

    static final org.eclipse.emf.ecore.EClass STRING_CLAUSE_TYPE

  The meta object literal for the '`String Clause Type`' class.

  See Also:
    `StringClauseTypeImpl`, `QueryPackageImpl.getStringClauseType()`

### STRING_CLAUSE_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute STRING_CLAUSE_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### STRING_CLAUSE_TYPE__STRING_PREDICATE

    static final org.eclipse.emf.ecore.EAttribute STRING_CLAUSE_TYPE__STRING_PREDICATE

  The meta object literal for the 'String Predicate' attribute feature.

### USER_BRANCH_TYPE

    static final org.eclipse.emf.ecore.EClass USER_BRANCH_TYPE

  The meta object literal for the '`User Branch Type`' class.

  See Also:
    `UserBranchTypeImpl`, `QueryPackageImpl.getUserBranchType()`

### USER_BRANCH_TYPE__USER_FILTER

    static final org.eclipse.emf.ecore.EReference USER_BRANCH_TYPE__USER_FILTER

  The meta object literal for the 'User Filter' containment reference feature.

### USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference USER_BRANCH_TYPE__POSTAL_ADDRESS_FILTER

  The meta object literal for the 'Postal Address Filter' containment reference feature.

### USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER

    static final org.eclipse.emf.ecore.EReference USER_BRANCH_TYPE__TELEPHONE_NUMBER_FILTER

  The meta object literal for the 'Telephone Number Filter' containment reference list feature.

### USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER

    static final org.eclipse.emf.ecore.EReference USER_BRANCH_TYPE__EMAIL_ADDRESS_FILTER

  The meta object literal for the 'Email Address Filter' containment reference list feature.

### USER_BRANCH_TYPE__ORGANIZATION_QUERY

    static final org.eclipse.emf.ecore.EReference USER_BRANCH_TYPE__ORGANIZATION_QUERY

  The meta object literal for the 'Organization Query' containment reference feature.

### CONNECTIVE_PREDICATE_TYPE

    static final org.eclipse.emf.ecore.EEnum CONNECTIVE_PREDICATE_TYPE

  The meta object literal for the '`Connective Predicate Type`' enum.

  See Also:
    `ConnectivePredicateType`, `QueryPackageImpl.getConnectivePredicateType()`

### LOGICAL_PREDICATE_TYPE

    static final org.eclipse.emf.ecore.EEnum LOGICAL_PREDICATE_TYPE

  The meta object literal for the '`Logical Predicate Type`' enum.

  See Also:
    `LogicalPredicateType`, `QueryPackageImpl.getLogicalPredicateType()`

### RETURN_TYPE_TYPE

    static final org.eclipse.emf.ecore.EEnum RETURN_TYPE_TYPE

  The meta object literal for the '`Return Type Type`' enum.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeType()`

### STRING_PREDICATE_TYPE

    static final org.eclipse.emf.ecore.EEnum STRING_PREDICATE_TYPE

  The meta object literal for the '`String Predicate Type`' enum.

  See Also:
    `StringPredicateType`, `QueryPackageImpl.getStringPredicateType()`

### CONNECTIVE_PREDICATE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType CONNECTIVE_PREDICATE_TYPE_OBJECT

  The meta object literal for the 'Connective Predicate Type Object' data type.

  See Also:
    `ConnectivePredicateType`, `QueryPackageImpl.getConnectivePredicateTypeObject()`

### LOGICAL_PREDICATE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType LOGICAL_PREDICATE_TYPE_OBJECT

  The meta object literal for the 'Logical Predicate Type Object' data type.

  See Also:
    `LogicalPredicateType`, `QueryPackageImpl.getLogicalPredicateTypeObject()`

### RETURN_TYPE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType RETURN_TYPE_TYPE_OBJECT

  The meta object literal for the 'Return Type Type Object' data type.

  See Also:
    `ReturnTypeType`, `QueryPackageImpl.getReturnTypeTypeObject()`

### STRING_PREDICATE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType STRING_PREDICATE_TYPE_OBJECT

  The meta object literal for the 'String Predicate Type Object' data type.

  See Also:
    `StringPredicateType`, `QueryPackageImpl.getStringPredicateTypeObject()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD